Bug 1781183 - hammer host create with compute-attributes 'image_id' requires 'Marketplace URN' instead of Compute_Resource created image ID
Summary: hammer host create with compute-attributes 'image_id' requires 'Marketplace U...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - Azure
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks: 1775890
TreeView+ depends on / blocked
 
Reported: 2019-12-09 13:45 UTC by vijsingh
Modified: 2020-04-14 13:28 UTC (History)
2 users (show)

Fixed In Version: rubygem-hammer_cli_foreman_azure_rm-0.1.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28532 Normal Closed Remove 'image_id' from compute-attributes 2020-01-08 12:12:30 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:03 UTC

Description vijsingh 2019-12-09 13:45:42 UTC
Description of problem:

hammer host create with compute-attributes 'image_id' requires 'Marketplace URN' instead of Compute_Resource created image ID.


Version-Release number of selected component (if applicable):

@Satellite 6.7.0 snap 5.0

How reproducible:

Always

Steps to Reproduce:
1. Get an image ID of already created image under same compute-resource:

   # hammer  compute-resource image list --compute-resource <CR Name>
  
2. Now create a host with compute-attributes 'image_id using above ID.

Actual results:
   Selected image does not belong to <CR Name> (Azure Resource Manager)
   
Expected results:
   Should be able to provision VM using Compute_Resource created image ID

Additional info:

Comment 3 vijsingh 2019-12-24 05:22:53 UTC
ON_QA Verified

@Satellite 6.7.0 snap 7.0

Steps/Observation:

a) 'image_id' is no more part of compute attributes 
_______________________________________________________
# hammer host create --help|grep AzureRM -A30
  AzureRM:
    --volume:


    --interface:
      compute_network     Select one of available Azure Subnets, must be an ID
      compute_public_ip   Public IP (None, Static, Dynamic)
      compute_private_ip  Static Private IP (expressed as true or false)

    --compute-attributes:
      resource_group      Existing Azure Resource Group of user
      vm_size             VM Size, eg. Standard_A0 etc.
      username            The Admin username
      password            The Admin password
      platform            OS type eg. Linux
      ssh_key_data        SSH key for passwordless authentication
      os_disk_caching     OS disk caching
      premium_os_disk     Premium OS Disk, Boolean as 0 or 1
      script_command      Custom Script Command
      script_uris         Comma seperated file URIs
_________________________________________________________

b) Able to create host using '--image-id' with Compute_Resource created image ID.

Comment 6 errata-xmlrpc 2020-04-14 13:27:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.